array.finc File Reference
This graph shows which files directly or indirectly include this file:

## Functions/Subroutines

type(fgsl_vector) function | fgsl_vector_init (array, stride, stat)
| Initialize a GSL vector object. This is invoked via the generic fgsl_vector_init. More...
type(fgsl_vector_int) function | fgsl_vector_int_init (array, stride, stat)
type(fgsl_vector) function | fgsl_vector_init_legacy (type)
| Legacy specific fgsl_vector_init of for GSL vector initialization. More...
integer(fgsl_int) function | fgsl_vector_align (array, len, fvec, size, offset, stride)
| Legacy function to wrap a rank 1 Fortran array slice inside a double precision real GSL vector object. This is invoked via the generic fgsl_vector_align. It is recommended to update codes using this to use the new fgsl_vector_init specific instead. More...
real(fgsl_double) function, dimension(:), pointer | fgsl_vector_to_fptr (fvec)
| Function to associate a Fortran pointer with a GSL vector object. More...
integer(fgsl_int) function, dimension(:), pointer | fgsl_vector_int_to_fptr (fvec)
integer(fgsl_int) function | fgsl_vector_pointer_align (ptr, fvec)

Legacy function to associate a Fortran pointer with the data stored inside a GSL vector object. Codes should be updated to use fgsl_vector_ptr. This is invoked via the generic fgsl_vector_align. Objects of type `gsl_vector` which are returned by GSL routines often are persistent subobjects of other GSL objects. A Fortran pointer aligned with a subobject hence will remain up-to-date throughout the lifetime of the object; it may become undefined once the object ceases to exist. More...

subroutine | fgsl_vector_to_array (result, source)
| The assignment operator (see interface/generics.finc) is overloaded to enable copying of the content of a GSL vector into a Fortran array. More...
subroutine | fgsl_vector_free (fvec)
| Free the resources inside a GSL vector object previously established by a call to fgsl_vector_init(). This is invoked via the generic fgsl_vector_free. More...
subroutine | fgsl_vector_int_free (fvec)
subroutine | fgsl_vector_c_ptr (res, src)
logical function | fgsl_vector_status (vector)
logical function | fgsl_vector_int_status (vector)
| Inquire the size of a double precision real GSL vector object. More...
integer(fgsl_size_t) function | fgsl_sizeof_vector (w)
type(fgsl_vector_complex) function | fgsl_vector_complex_init_legacy (type)
| Initialize a complex GSL vector object. This is invoked via the generic fgsl_vector_init. More...
type(fgsl_vector_complex) function | fgsl_vector_complex_init (array, stride, stat)
integer(fgsl_int) function | fgsl_vector_complex_align (array, len, fvec, size, offset, stride)
| Wrap a rank 1 Fortran array slice inside a double precision complex real GSL vector object. This is invoked via the generic fgsl_vector_align. More...
integer(fgsl_int) function | fgsl_vector_complex_pointer_align (ptr, fvec)

Associate a Fortran pointer with the data stored inside a GSL vector object. This is invoked via the generic fgsl_vector_align. Objects of type `gsl_vector_complex` which are returned by GSL routines often are persistent subobjects of other GSL objects. A Fortran pointer aligned with a subobject hence will remain up-to-date throughout the lifetime of the object; it may become undefined once the object ceases to exist. More...

complex(fgsl_double) function, dimension(:), pointer | fgsl_vector_complex_to_fptr (fvec)
subroutine | fgsl_vector_complex_to_array (result, source)
| The assignment operator (see interface/generics.finc) is overloaded to enable copying of the content of a complex GSL vector into a Fortran array. More...
subroutine | fgsl_vector_complex_free (fvec)
| Free the resources inside a complex GSL vector object previously established by a call to fgsl_vector_complex_init(). This is invoked via the generic fgsl_vector_free. More...
subroutine | fgsl_vector_complex_c_ptr (res, src)
logical function | fgsl_vector_complex_status (vector_complex)
integer(fgsl_size_t) function | fgsl_sizeof_vector_complex (w)
| Inquire the size of a double precision complex GSL vector object. More...
type(fgsl_matrix) function | fgsl_matrix_init_legacy (type)
| Legacy function to initialize a GSL matrix object. This is invoked via the generic fgsl_matrix_init. More...
type(fgsl_matrix) function | fgsl_matrix_init (array, n, m, stat)
| Initialize a rank 2 Fortran array to become associated with a double precision GSL matrix object. This is invoked via the generic fgsl_matrix_init. More...
integer(fgsl_int) function | fgsl_matrix_align (array, lda, n, m, fmat)
| Legacy specific to wrap a rank 2 Fortran array inside a double precision real GSL matrix object. This is invoked via the generic fgsl_matrix_align. More...
integer(fgsl_int) function | fgsl_matrix_pointer_align (ptr, fmat)

Associate a Fortran pointer with the data stored inside a GSL matrix object. This is invoked via the generic fgsl_matrix_align. Objects of type `gsl_matrix` which are returned by GSL routines often are persistent subobjects of other GSL objects. A Fortran pointer aligned with a subobject hence will remain up-to-date throughout the lifetime of the object; it may become undefined once the object ceases to exist. More...

real(fgsl_double) function, dimension(:,:), pointer | fgsl_matrix_to_fptr (fmat)

Associate a Fortran pointer with the data stored inside a GSL matrix object. This is invoked via the generic fgsl_matrix_to_fptr. Objects of type `gsl_matrix` which are returned by GSL routines often are persistent subobjects of other GSL objects. A Fortran pointer aligned with a subobject hence will remain up-to-date throughout the lifetime of the object; it may become undefined once the object ceases to exist. More...

subroutine | fgsl_matrix_to_array (result, source)
| The assignment operator (see interface/generics.finc) is overloaded to enable copying of the content of a GSL matrix into a rank 2 Fortran array. More...
subroutine | fgsl_matrix_free (fvec)
| Free the resources inside a GSL matrix object previously established by a call to fgsl_matrix_init(). This is invoked via the generic fgsl_matrix_free. More...
subroutine | fgsl_matrix_c_ptr (res, src)
logical function | fgsl_matrix_status (matrix)
integer(fgsl_size_t) function | fgsl_sizeof_matrix (w)
| Inquire the number of elements in a double precision real GSL matrix object. More...
type(fgsl_matrix_complex) function | fgsl_matrix_complex_init_legacy (type)
| Legacy specifit to initialize a GSL matrix object. This is invoked via the generic fgsl_matrix_init. More...
type(fgsl_matrix_complex) function | fgsl_matrix_complex_init (array, n, m, stat)
| Initialize a rank 2 Fortran array to become associated with a double precision complex GSL matrix object. This is invoked via the generic fgsl_matrix_init. More...
integer(fgsl_int) function | fgsl_matrix_complex_align (array, lda, n, m, fmat)
| Legacy function to wrap a rank 2 Fortran array inside a double precision complex GSL matrix object. This is invoked via the generic fgsl_matrix_align. More...
integer(fgsl_int) function | fgsl_matrix_complex_pointer_align (ptr, fmat)

Associate a Fortran pointer with the data stored inside a complex GSL matrix object. This is invoked via the generic fgsl_matrix_align. Objects of type `gsl_matrix_complex` which are returned by GSL routines often are persistent subobjects of other GSL objects. A Fortran pointer aligned with a subobject hence will remain up-to-date throughout the lifetime of the object; it may become undefined once the object ceases to exist. More...

complex(fgsl_double) function, dimension(:,:), pointer | fgsl_matrix_complex_to_fptr (fmat)
subroutine | fgsl_matrix_complex_to_array (result, source)
| The assignment operator (see interface/generics.finc) is overloaded to enable copying of the content of a complex GSL matrix into a rank 2 Fortran array. More...
subroutine | fgsl_matrix_complex_free (fvec)
| Free the resources inside a complex GSL matrix object previously established by a call to fgsl_matrix_complex_init(). This is invoked via the generic fgsl_matrix_free. More...
subroutine | fgsl_matrix_complex_c_ptr (res, src)
logical function | fgsl_matrix_complex_status (matrix_complex)
integer(fgsl_size_t) function | fgsl_sizeof_matrix_complex (w)
| Inquire the number of elements in a double precision complex GSL matrix object. More...
integer(fgsl_size_t) function | fgsl_vector_get_size (vec)
integer(fgsl_size_t) function | fgsl_vector_get_stride (vec)
integer(fgsl_size_t) function | fgsl_matrix_get_size1 (matr)
integer(fgsl_size_t) function | fgsl_matrix_get_size2 (matr)
integer(fgsl_size_t) function | fgsl_matrix_get_tda (matr)

## Function/Subroutine Documentation

## fgsl_matrix_align()

integer(fgsl_int) function fgsl_matrix_align | ( | real(fgsl_double), dimension(lda, m), intent(in), target | array,
|  | integer(fgsl_size_t), intent(in) | lda,
|  | integer(fgsl_size_t), intent(in) | n,
|  | integer(fgsl_size_t), intent(in) | m,
|  | type(fgsl_matrix), intent(inout) | fmat
| ) |  |

Legacy specific to wrap a rank 2 Fortran array inside a double precision real GSL matrix object. This is invoked via the generic fgsl_matrix_align.

Parameters

  array | - requires the actual argument to have the TARGET attribute. Otherwise being passed by reference is not guaranteed by the Fortran standard.
  lda | - leading dimension of the rank 2 array
  n | - number of rows in array
  m | - number of columns in array
  fmat | - previously initialized double precision GSL matrix object

Returns
  Status

## fgsl_matrix_c_ptr()

subroutine fgsl_matrix_c_ptr | ( | type(fgsl_matrix), intent(out) | res,
|  | type(c_ptr), intent(in) | src
| ) |  |

## fgsl_matrix_complex_align()

integer(fgsl_int) function fgsl_matrix_complex_align | ( | complex(fgsl_double_complex), dimension(lda, m), intent(in), target | array,
|  | integer(fgsl_size_t), intent(in) | lda,
|  | integer(fgsl_size_t), intent(in) | n,
|  | integer(fgsl_size_t), intent(in) | m,
|  | type(fgsl_matrix_complex), intent(inout) | fmat
| ) |  |

Legacy function to wrap a rank 2 Fortran array inside a double precision complex GSL matrix object. This is invoked via the generic fgsl_matrix_align.

Parameters

  array | - requires the actual argument to have the TARGET attribute. Otherwise being passed by reference is not guaranteed by the Fortran standard.
  lda | - leading dimension of the rank 2 array
  n | - number of rows in array
  m | - number of columns in array
  fmat | - previously initialized double precision complex GSL matrix object

Returns
  Status

## fgsl_matrix_complex_c_ptr()

subroutine fgsl_matrix_complex_c_ptr | ( | type(fgsl_matrix_complex), intent(out) | res,
|  | type(c_ptr), intent(in) | src
| ) |  |

## fgsl_matrix_complex_free()

subroutine fgsl_matrix_complex_free | ( | type(fgsl_matrix_complex), intent(inout) | fvec | ) |

Free the resources inside a complex GSL matrix object previously established by a call to fgsl_matrix_complex_init(). This is invoked via the generic fgsl_matrix_free.

## fgsl_matrix_complex_init()

type(fgsl_matrix_complex) function fgsl_matrix_complex_init | ( | complex(fgsl_double_complex), dimension(:,:), intent(in), target, contiguous | array,
|  | integer(fgsl_size_t), intent(in), optional | n,
|  | integer(fgsl_size_t), intent(in), optional | m,
|  | integer(fgsl_int), optional | stat
| ) |  |

Initialize a rank 2 Fortran array to become associated with a double precision complex GSL matrix object. This is invoked via the generic fgsl_matrix_init.

Parameters

  array | - requires the actual argument to have the TARGET and CONTIGUOUS attributes.
  n | - number of rows in array
  m | - number of columns in array
  fmat | - double precision complex GSL matrix object, which is allocated

Returns
  Status

## fgsl_matrix_complex_init_legacy()

type(fgsl_matrix_complex) function fgsl_matrix_complex_init_legacy | ( | complex(fgsl_double_complex), intent(in) | type | ) |

Legacy specifit to initialize a GSL matrix object. This is invoked via the generic fgsl_matrix_init.

Parameters

  type | - determine intrinsic type of vector object

Returns
  new object of type fgsl_matrix.

## fgsl_matrix_complex_pointer_align()

integer(fgsl_int) function fgsl_matrix_complex_pointer_align | ( | complex(fgsl_double_complex), dimension(:,:), intent(out), pointer | ptr,
|  | type(fgsl_matrix_complex), intent(in) | fmat
| ) |  |

Associate a Fortran pointer with the data stored inside a complex GSL matrix object. This is invoked via the generic fgsl_matrix_align. Objects of type `gsl_matrix_complex` which are returned by GSL routines often are persistent subobjects of other GSL objects. A Fortran pointer aligned with a subobject hence will remain up-to-date throughout the lifetime of the object; it may become undefined once the object ceases to exist.

Parameters

  ptr | - rank 2 Fortran pointer
  fmat | - double precision complex GSL matrix

Returns
  Status

## fgsl_matrix_complex_status()

logical function fgsl_matrix_complex_status | ( | type(fgsl_matrix_complex), intent(in) | matrix_complex | ) |

## fgsl_matrix_complex_to_array()

subroutine fgsl_matrix_complex_to_array | ( | complex(fgsl_double_complex), dimension(:,:), intent(inout) | result,
|  | type(fgsl_matrix_complex), intent(in) | source
| ) |  |

The assignment operator (see interface/generics.finc) is overloaded to enable copying of the content of a complex GSL matrix into a rank 2 Fortran array.

## fgsl_matrix_complex_to_fptr()

complex(fgsl_double) function, dimension(:,:), pointer fgsl_matrix_complex_to_fptr | ( | type(fgsl_matrix_complex), intent(in) | fmat | ) |

## fgsl_matrix_free()

subroutine fgsl_matrix_free | ( | type(fgsl_matrix), intent(inout) | fvec | ) |

Free the resources inside a GSL matrix object previously established by a call to fgsl_matrix_init(). This is invoked via the generic fgsl_matrix_free.

## fgsl_matrix_get_size1()

integer(fgsl_size_t) function fgsl_matrix_get_size1 | ( | type(fgsl_matrix), intent(in) | matr | ) |

## fgsl_matrix_get_size2()

integer(fgsl_size_t) function fgsl_matrix_get_size2 | ( | type(fgsl_matrix), intent(in) | matr | ) |

## fgsl_matrix_get_tda()

integer(fgsl_size_t) function fgsl_matrix_get_tda | ( | type(fgsl_matrix), intent(in) | matr | ) |

## fgsl_matrix_init()

type(fgsl_matrix) function fgsl_matrix_init | ( | real(fgsl_double), dimension(:,:), intent(in), target, contiguous | array,
|  | integer(fgsl_size_t), intent(in), optional | n,
|  | integer(fgsl_size_t), intent(in), optional | m,
|  | integer(fgsl_int), optional | stat
| ) |  |

Initialize a rank 2 Fortran array to become associated with a double precision GSL matrix object. This is invoked via the generic fgsl_matrix_init.

Parameters

  array | - requires the actual argument to have the TARGET and CONTIGUOUS attributes.
  n | - number of rows in array
  m | - number of columns in array
  fmat | - double precision GSL matrix object, which is allocated

Returns
  Status

## fgsl_matrix_init_legacy()

type(fgsl_matrix) function fgsl_matrix_init_legacy | ( | real(fgsl_double), intent(in) | type | ) |

Legacy function to initialize a GSL matrix object. This is invoked via the generic fgsl_matrix_init.

Parameters

  type | - determine intrinsic type of vector object

Returns
  new object of type fgsl_matrix.

## fgsl_matrix_pointer_align()

integer(fgsl_int) function fgsl_matrix_pointer_align | ( | real(fgsl_double), dimension(:,:), intent(out), pointer | ptr,
|  | type(fgsl_matrix), intent(in) | fmat
| ) |  |

Associate a Fortran pointer with the data stored inside a GSL matrix object. This is invoked via the generic fgsl_matrix_align. Objects of type `gsl_matrix` which are returned by GSL routines often are persistent subobjects of other GSL objects. A Fortran pointer aligned with a subobject hence will remain up-to-date throughout the lifetime of the object; it may become undefined once the object ceases to exist.

Parameters

  ptr | - rank 2 Fortran pointer
  fmat | - double precision real GSL matrix

Returns
  Status

## fgsl_matrix_status()

logical function fgsl_matrix_status | ( | type(fgsl_matrix), intent(in) | matrix | ) |

## fgsl_matrix_to_array()

subroutine fgsl_matrix_to_array | ( | real(fgsl_double), dimension(:,:), intent(inout) | result,
|  | type(fgsl_matrix), intent(in) | source
| ) |  |

The assignment operator (see interface/generics.finc) is overloaded to enable copying of the content of a GSL matrix into a rank 2 Fortran array.

## fgsl_matrix_to_fptr()

real(fgsl_double) function, dimension(:,:), pointer fgsl_matrix_to_fptr | ( | type(fgsl_matrix), intent(in) | fmat | ) |

Associate a Fortran pointer with the data stored inside a GSL matrix object. This is invoked via the generic fgsl_matrix_to_fptr. Objects of type `gsl_matrix` which are returned by GSL routines often are persistent subobjects of other GSL objects. A Fortran pointer aligned with a subobject hence will remain up-to-date throughout the lifetime of the object; it may become undefined once the object ceases to exist.

Parameters

  fmat | - GSL matrix

Returns
  rank 2 Fortran pointer

## fgsl_sizeof_matrix()

integer(fgsl_size_t) function fgsl_sizeof_matrix | ( | type(fgsl_matrix), intent(in) | w | ) |

Inquire the number of elements in a double precision real GSL matrix object.

## fgsl_sizeof_matrix_complex()

integer(fgsl_size_t) function fgsl_sizeof_matrix_complex | ( | type(fgsl_matrix_complex), intent(in) | w | ) |

Inquire the number of elements in a double precision complex GSL matrix object.

## fgsl_sizeof_vector()

integer(fgsl_size_t) function fgsl_sizeof_vector | ( | type(fgsl_vector), intent(in) | w | ) |

## fgsl_sizeof_vector_complex()

integer(fgsl_size_t) function fgsl_sizeof_vector_complex | ( | type(fgsl_vector_complex), intent(in) | w | ) |

Inquire the size of a double precision complex GSL vector object.

## fgsl_vector_align()

integer(fgsl_int) function fgsl_vector_align | ( | real(fgsl_double), dimension(len), intent(in), target | array,
|  | integer(fgsl_size_t), intent(in) | len,
|  | type(fgsl_vector), intent(inout) | fvec,
|  | integer(fgsl_size_t), intent(in) | size,
|  | integer(fgsl_size_t), intent(in) | offset,
|  | integer(fgsl_size_t), intent(in) | stride
| ) |  |

Legacy function to wrap a rank 1 Fortran array slice inside a double precision real GSL vector object. This is invoked via the generic fgsl_vector_align. It is recommended to update codes using this to use the new fgsl_vector_init specific instead.

Parameters

  array | - requires the actual argument to have the TARGET attribute. Otherwise being passed by reference is not guaranteed by the Fortran standard.
  len | - number of elements of the rank 1 array
  fvec | - previously initialized GSL vector object
  size | - number of elements from array wrapped inside fvec
  offset | - index of first element of array to be mapped to fvec
  stride | - stride in array for successive elements of fvec

Returns
  Status

## fgsl_vector_c_ptr()

subroutine fgsl_vector_c_ptr | ( | type(fgsl_vector), intent(out) | res,
|  | type(c_ptr), intent(in) | src
| ) |  |

## fgsl_vector_complex_align()

integer(fgsl_int) function fgsl_vector_complex_align | ( | complex(fgsl_double_complex), dimension(len), intent(in), target | array,
|  | integer(fgsl_size_t), intent(in) | len,
|  | type(fgsl_vector_complex), intent(inout) | fvec,
|  | integer(fgsl_size_t), intent(in) | size,
|  | integer(fgsl_size_t), intent(in) | offset,
|  | integer(fgsl_size_t), intent(in) | stride
| ) |  |

Wrap a rank 1 Fortran array slice inside a double precision complex real GSL vector object. This is invoked via the generic fgsl_vector_align.

Parameters

  array | - requires the actual argument to have the TARGET attribute. Otherwise being passed by reference is not guaranteed by the Fortran standard.
  len | - number of elements of the rank 1 array
  fvec | - previously initialized complex GSL vector object
  size | - number of elements from array wrapped inside fvec
  offset | - index of first element of array to be mapped to fvec
  stride | - stride in array for successive elements of fvec

Returns
  Status

## fgsl_vector_complex_c_ptr()

subroutine fgsl_vector_complex_c_ptr | ( | type(fgsl_vector_complex), intent(out) | res,
|  | type(c_ptr), intent(in) | src
| ) |  |

## fgsl_vector_complex_free()

subroutine fgsl_vector_complex_free | ( | type(fgsl_vector_complex), intent(inout) | fvec | ) |

Free the resources inside a complex GSL vector object previously established by a call to fgsl_vector_complex_init(). This is invoked via the generic fgsl_vector_free.

## fgsl_vector_complex_init()

type(fgsl_vector_complex) function fgsl_vector_complex_init | ( | complex(fgsl_double), dimension(:), intent(in), target, contiguous | array,
|  | integer(fgsl_size_t), intent(in), optional | stride,
|  | integer(fgsl_int), intent(inout), optional | stat
| ) |  |

## fgsl_vector_complex_init_legacy()

type(fgsl_vector_complex) function fgsl_vector_complex_init_legacy | ( | complex(fgsl_double_complex), intent(in) | type | ) |

Initialize a complex GSL vector object. This is invoked via the generic fgsl_vector_init.

Parameters

  type | - determine intrinsic type of vector object

Returns
  new object of type fgsl_vector

## fgsl_vector_complex_pointer_align()

integer(fgsl_int) function fgsl_vector_complex_pointer_align | ( | complex(fgsl_double_complex), dimension(:), intent(out), pointer | ptr,
|  | type(fgsl_vector_complex), intent(in) | fvec
| ) |  |

Associate a Fortran pointer with the data stored inside a GSL vector object. This is invoked via the generic fgsl_vector_align. Objects of type `gsl_vector_complex` which are returned by GSL routines often are persistent subobjects of other GSL objects. A Fortran pointer aligned with a subobject hence will remain up-to-date throughout the lifetime of the object; it may become undefined once the object ceases to exist.

Parameters

  ptr | - rank 1 Fortran pointer
  fvec | - double precision complex GSL vector

Returns
  Status

## fgsl_vector_complex_status()

logical function fgsl_vector_complex_status | ( | type(fgsl_vector_complex), intent(in) | vector_complex | ) |

## fgsl_vector_complex_to_array()

subroutine fgsl_vector_complex_to_array | ( | complex(fgsl_double_complex), dimension(:), intent(inout) | result,
|  | type(fgsl_vector_complex), intent(in) | source
| ) |  |

The assignment operator (see interface/generics.finc) is overloaded to enable copying of the content of a complex GSL vector into a Fortran array.

## fgsl_vector_complex_to_fptr()

complex(fgsl_double) function, dimension(:), pointer fgsl_vector_complex_to_fptr | ( | type(fgsl_vector_complex), intent(in) | fvec | ) |

## fgsl_vector_free()

subroutine fgsl_vector_free | ( | type(fgsl_vector), intent(inout) | fvec | ) |

Free the resources inside a GSL vector object previously established by a call to fgsl_vector_init(). This is invoked via the generic fgsl_vector_free.

## fgsl_vector_get_size()

integer(fgsl_size_t) function fgsl_vector_get_size | ( | type(fgsl_vector), intent(in) | vec | ) |

## fgsl_vector_get_stride()

integer(fgsl_size_t) function fgsl_vector_get_stride | ( | type(fgsl_vector), intent(in) | vec | ) |

## fgsl_vector_init()

type(fgsl_vector) function fgsl_vector_init | ( | real(fgsl_double), dimension(:), intent(in), target, contiguous | array,
|  | integer(fgsl_size_t), intent(in), optional | stride,
|  | integer(fgsl_int), intent(inout), optional | stat
| ) |  |

Initialize a GSL vector object. This is invoked via the generic fgsl_vector_init.

Parameters

  [in] | array. | The result variable's block is aliased to this contiguous array or a section of it. The actual argument must be a CONTIGUOUS array with the TARGET attribute. It can be of type integer(fgsl_int) or real(fgsl_double).
  [in] | stride. | If present, the stride between subsequent array elements of the function result. Otherwise, the value one is assumed.
  [in,out] | status. | If present, the exit status.

## fgsl_vector_init_legacy()

type(fgsl_vector) function fgsl_vector_init_legacy | ( | real(fgsl_double), intent(in) | type | ) |

Legacy specific fgsl_vector_init of for GSL vector initialization.

Parameters

  type | - determine intrinsic type of vector object

Returns
  new object of type fgsl_vector

## fgsl_vector_int_free()

subroutine fgsl_vector_int_free | ( | type(fgsl_vector_int), intent(inout) | fvec | ) |

## fgsl_vector_int_init()

type(fgsl_vector_int) function fgsl_vector_int_init | ( | integer(fgsl_int), dimension(:), intent(in), target, contiguous | array,
|  | integer(fgsl_size_t), intent(in), optional | stride,
|  | integer(fgsl_int), intent(inout), optional | stat
| ) |  |

## fgsl_vector_int_status()

logical function fgsl_vector_int_status | ( | type(fgsl_vector_int), intent(in) | vector | ) |

Inquire the size of a double precision real GSL vector object.

## fgsl_vector_int_to_fptr()

integer(fgsl_int) function, dimension(:), pointer fgsl_vector_int_to_fptr | ( | type(fgsl_vector_int), intent(in) | fvec | ) |

## fgsl_vector_pointer_align()

integer(fgsl_int) function fgsl_vector_pointer_align | ( | real(fgsl_double), dimension(:), intent(out), pointer | ptr,
|  | type(fgsl_vector), intent(in) | fvec
| ) |  |

Legacy function to associate a Fortran pointer with the data stored inside a GSL vector object. Codes should be updated to use fgsl_vector_ptr. This is invoked via the generic fgsl_vector_align. Objects of type `gsl_vector` which are returned by GSL routines often are persistent subobjects of other GSL objects. A Fortran pointer aligned with a subobject hence will remain up-to-date throughout the lifetime of the object; it may become undefined once the object ceases to exist.

Parameters

  ptr | - rank 1 Fortran pointer
  fvec | - double precision real GSL vector

Returns
  Status

## fgsl_vector_status()

logical function fgsl_vector_status | ( | type(fgsl_vector), intent(in) | vector | ) |

## fgsl_vector_to_array()

subroutine fgsl_vector_to_array | ( | real(fgsl_double), dimension(:), intent(inout) | result,
|  | type(fgsl_vector), intent(in) | source
| ) |  |

The assignment operator (see interface/generics.finc) is overloaded to enable copying of the content of a GSL vector into a Fortran array.

## fgsl_vector_to_fptr()

real(fgsl_double) function, dimension(:), pointer fgsl_vector_to_fptr | ( | type(fgsl_vector), intent(in) | fvec | ) |

Function to associate a Fortran pointer with a GSL vector object.

Parameters

  [in] | fvec. | double precision real GSL vector The function result is a null pointer if the object is invalid, otherwise it points to the data described by the fvec object